summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJonas Häggqvist <rasher@rasher.dk>2009-06-29 20:51:25 +0000
committerJonas Häggqvist <rasher@rasher.dk>2009-06-29 20:51:25 +0000
commit05a4e6710138a71668f66278252dda33c636147c (patch)
tree4a993368c09f2183f4aaeb7617b4e1270d15a5f7 /tools
parent16e339d087157e518b478427a5d79f8c4a8ff0c6 (diff)
downloadrockbox-05a4e6710138a71668f66278252dda33c636147c.tar.gz
rockbox-05a4e6710138a71668f66278252dda33c636147c.tar.bz2
rockbox-05a4e6710138a71668f66278252dda33c636147c.zip
A script to create a source tarball of rbutil. Does a complete checkout and removes everything that isn't needed.
git-svn-id: svn://svn.rockbox.org/rockbox/trunk@21571 a1c6a512-1295-4272-9138-f99709370657
Diffstat (limited to 'tools')
-rwxr-xr-xtools/release/rbutiltarball.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tools/release/rbutiltarball.sh b/tools/release/rbutiltarball.sh
new file mode 100755
index 0000000000..37bbd25c68
--- /dev/null
+++ b/tools/release/rbutiltarball.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Create a tarball of rbutil from a tagged release
+# Doess a full checkout, then shaves off everything unneeded.
+
+if [ -z "$1" ]; then
+ printf "Usage: `basename $0` 1.2.2"
+ exit
+else
+ version="$1"
+fi
+
+svn checkout svn://svn.rockbox.org/rockbox/tags/rbutil_$version rbutil-$version
+if [ ! $? ]; then
+ echo "Something went wrong with checking out"
+ exit 22
+fi
+
+cd rbutil-$version
+# Delete top-level dirs that aren't used
+rm -rf bootloader firmware fonts icons uisimulator wps backdrops docs flash gdb manual utils
+
+# Clean out tools and restore the bits that we need
+rm -rf tools/*
+svn update tools/{iriver.c,Makefile,mkboot.h,voicefont.c,VOICE_PAUSE.wav,wavtrim.h,iriver.h,mkboot.c,rbspeex,voicefont.h,wavtrim.c}
+# Just in case
+mkdir -p tools/rbspeex/build
+
+# Clean out apps and restore apps/codecs/libspeex
+rm -rf apps/*
+svn update apps/codecs
+rm -rf apps/codecs/*
+svn update apps/codecs/libspeex
+cd ..
+
+tar cvvj --exclude-vcs -f rbutil-$version.tar.bz2 rbutil-$version
+rm -rf rbutil-$version